/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents pagination information for a collection of items.
 * @export
 * @interface Pagination
 */
export interface Pagination {
    /**
     * Gets or sets the current page number.
     * @type {number}
     * @memberof Pagination
     */
    'currentPage'?: number;
    /**
     * Gets or sets the total number of pages.
     * @type {number}
     * @memberof Pagination
     */
    'totalPages'?: number;
    /**
     * Gets or sets the number of items per page.
     * @type {number}
     * @memberof Pagination
     */
    'pageSize'?: number;
    /**
     * Gets or sets the total count of items across all pages.
     * @type {number}
     * @memberof Pagination
     */
    'totalCount'?: number;
    /**
     * Gets a value indicating whether there is a previous page.
     * @type {boolean}
     * @memberof Pagination
     */
    'hasPrevious'?: boolean;
    /**
     * Gets a value indicating whether there is a next page.
     * @type {boolean}
     * @memberof Pagination
     */
    'hasNext'?: boolean;
}

